org.hibernate.search.elasticsearch.analyzer

## Class ElasticsearchCharFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.CharFilterFactory
    - - org.hibernate.search.elasticsearch.analyzer.ElasticsearchCharFilterFactory

-     public abstract class ElasticsearchCharFilterFactory
      extends CharFilterFactory

  A token filter factory to use with `AnalyzerDef` annotations to define an Elasticsearch char filter.

  Caution: parameter values are interpreted as JSON, though using lenient parsing (quotes around strings may be left out in some cases, as when a string only contains letters).

  Example:

        @CharFilterDef(
                      name = "custom-pattern-replace",
                      factory = ElasticsearchCharFilterFactory.class,
                      params = {
                                       @Parameter(name = "type", value = "pattern_replace"),
                                       @Parameter(name = "pattern", value = "'[^0-9]'"),
                                       @Parameter(name = "replacement", value = "'0'"),
                                       @Parameter(name = "tags", value = "'CASE_INSENSITIVE|COMMENTS'")
                      }
       )

  Author:
    Yoann Rodiere

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.analysis.util.CharFilterFactory

      `availableCharFilters, create, forName, lookupClass, reloadCharFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved